<template>
    <div class="pt-[82px]">
      <div
        v-if="!payments.IsHidden"
        :class="[
          informationEnabled ? 'py-8' : 'py-6',
          'border-t border-solid border-[color:var(--border-color)]',
        ]"
      >
        <p
          v-if="informationEnabled"
          class="text-[24px] font-bold text-[color:var(--title-font-color)]"
        >
          {{ payments.Text }}
        </p>
        <div :class="[informationEnabled ? 'mt-4' : '', `flex items-center`]">
          <div
            class="h-10 cursor-pointer filter grayscale-[1] brightness-[.5] hover:grayscale-0 hover:brightness-[1]"
          >
            <img v-lazy="payments?.ImagePath" class="object-contain h-full" />
          </div>
        </div>
      </div>
      <div
        v-if="!licenses.IsHidden && informationEnabled"
        :class="[
          informationEnabled ? 'py-8' : 'py-6',
          'border-t border-solid border-[color:var(--border-color)]',
        ]"
      >
        <p
          v-if="informationEnabled"
          class="text-[24px] font-bold text-[color:var(--title-font-color)]"
        >
          {{ licenses.Text }}
        </p>
        <div :class="[informationEnabled ? 'mt-4' : '', `flex items-center`]">
          <div
            class="h-10 cursor-pointer filter grayscale-[1] brightness-[.5] hover:grayscale-0 hover:brightness-[1]"
          >
            <img v-lazy="licenses?.ImagePath" class="object-contain h-full" />
          </div>
        </div>
      </div>
      <div
        v-if="!providers.IsHidden"
        :class="[
          informationEnabled ? 'py-8' : 'py-6',
          'border-t border-solid border-[color:var(--border-color)]',
        ]"
      >
        <p
          v-if="informationEnabled"
          class="text-[24px] font-bold text-[color:var(--title-font-color)]"
        >
          {{ providers.Text }}
        </p>
        <div :class="[informationEnabled ? 'mt-4' : '', `flex items-center`]">
          <div
            class="h-10 cursor-pointer filter grayscale-[1] brightness-[.5] hover:grayscale-0 hover:brightness-[1]"
          >
            <img v-lazy="providers?.ImagePath" class="object-contain h-full" />
          </div>
        </div>
      </div>
      <div
        v-if="menus.length"
        :class="[
          informationEnabled ? 'py-8' : 'py-3.5',
          'border-t border-solid border-[color:var(--border-color)]',
        ]"
      >
        <div class="mb-10">
          <img
            v-lazy="miniLogo.ImagePath"
            alt="Mini Logo"
            width="30"
            height="30"
          />
          <nuxt-link :to="logo.HyperLink">
            <img v-lazy="logo.ImagePath" alt="Logo" />
          </nuxt-link>
        </div>
        <div>
          <ul class="text-[16px]">
            <li v-for="menu in menus" :key="menu.HtmlId" class="py-3 pr-3">
              <nuxt-link
                v-if="!menu.IsHidden"
                class="text-[color:var(--font-color-primary)] hover:text-[color:var(--accent-color)]"
                :to="menu.HyperLink"
              >
                {{ menu.Text }}</nuxt-link
              >
            </li>
          </ul>
        </div>
      </div>
      <div
        v-if="!copyright.IsHidden"
        class="flex items-center pt-7 border-t border-solid border-[color:var(--border-color)]"
      >
        <p class="text-[16px] text-[color:var(--font-color-primary)] mb-5">
          {{ copyright.Text }}
        </p>
      </div>
    </div>
  </template>
  <script lang="ts">
  import { computed, defineComponent, PropType } from "vue";
  import themePropertyHelper from "@/utils/themePropertyHelper";
  import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
  import { store } from "@/store";
  
  export default defineComponent({
    name: "Footer",
    props: {
      informationEnabled: {
        type: Boolean,
        default: false,
      },
      propertyKeys: {
        type: Array as PropType<Array<string>>,
        required: true,
      },
    },
    setup(props) {
      const properties = computed(() => props.propertyKeys);
      const themeProperties = computed(
        () => store.state.companyThemePropertiesFromApi.ThemeProperties
      );
      const selectedThemeName = computed(() => store.state.selectedThemeName);
      const payments = computed(
        (): IThemePropertiesFromApi =>
          themePropertyHelper.getSingleThemeProperty(
            themeProperties.value,
            properties.value[0]
          )
      );
      const licenses = computed(
        (): IThemePropertiesFromApi =>
          themePropertyHelper.getSingleThemeProperty(
            themeProperties.value,
            properties.value[1]
          )
      );
      const providers = computed(
        (): IThemePropertiesFromApi =>
          themePropertyHelper.getSingleThemeProperty(
            themeProperties.value,
            properties.value[2]
          )
      );
      const menus = computed(
        (): Array<IThemePropertiesFromApi> =>
          themePropertyHelper.getMultipleThemesProperties(
            themeProperties.value,
            properties.value[3]
          )
      );
      const copyright = computed(
        (): IThemePropertiesFromApi =>
          themePropertyHelper.getSingleThemeProperty(
            themeProperties.value,
            properties.value[4]
          )
      );
      const miniLogo = computed(
        (): IThemePropertiesFromApi =>
          themePropertyHelper.getSingleThemeProperty(
            themeProperties.value,
            properties.value[5]
          )
      );
      const logo = computed(
        (): IThemePropertiesFromApi =>
          themePropertyHelper.getSingleThemeProperty(
            themeProperties.value,
            properties.value[6]
          )
      );
  
      return {
        licenses,
        providers,
        payments,
        selectedThemeName,
        menus,
        copyright,
        miniLogo,
        logo,
      };
    },
  });
  </script>
  <style scoped></style>
  